import { AfterContentInit, AfterViewInit, ElementRef, OnDestroy } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { ScrollingContentDirective } from './scrolling-content.directive';
import * as i0 from "@angular/core";
/**
 * This directive manage the zone with sections and links
 */
export declare class ContentsDirective implements OnDestroy, AfterViewInit, AfterContentInit {
    readonly element: ElementRef;
    /**
     * The HTML element that trigger the scroll event.
     * If null, the directive will use the `window` or `document` as the scrolling view
     */
    scrollingView?: ScrollingContentDirective;
    activeSection: BehaviorSubject<HTMLElement>;
    sections: HTMLElement[];
    currentActive: HTMLElement;
    initTop: number;
    constructor(element: ElementRef);
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    scroll(): void;
    setCurrentActive(active: HTMLElement): void;
    getOffsetTop(element: HTMLElement): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentsDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ContentsDirective, "[micContents]", never, {}, {}, ["scrollingView"], never, false, never>;
}
